LPPOM HALAL - Feature #464

[PY to FIN] Auto Jurnal Payroll ke Accounting
09/13/2021 01:41 PM - Kezia Pawitra Yulianti

Status: Deploy Start date: 09/13/2021
Priority: Urgent Due date: 09/30/2021
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yomma,

minta tolong untuk dapat dibuatkan auto jurnal dr Payroll ke Finance dgn ketentuan sbb:

1. Membaca GENPARAM dgn parameter AUTOJURNALHRPYTOFIN untuk value 1=Yes, selain 1 maka tidak autojurnal

2. Sudah ditambahkan 2 field baru pada CU0300 yaitu DebitCOA dan CreditCOA, jika value pd Genparam adalah 1 maka yg di baca
adalah 2 field baru tsb. Jika bukan 1 maka tetap membaca dari field yg sebelumnya yaitu DebitAcc dan CreditAcc (ini tetap untuk
report Posting to GL yg standar MinovaES)

Nanti kalau ada tambahan menyusul ya
Tks

History

#1 - 09/13/2021 01:41 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 09/15/2021 10:49 AM - Tri Rizqiaty

- Status changed from Assigned to Developing

#3 - 09/15/2021 04:15 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

#4 - 09/27/2021 11:17 AM - Kezia Pawitra Yulianti
- Due date changed from 09/17/2021 to 09/30/2021
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

Dear Yomma,

berikut ya catatan ssi hasil test:

1. Belum muncul message jika dilakukan execute ulang dgn periode payroll dan payroll group yg sama

2. Jika melakukan execute dgn payroll group terpisah, masih menimpa hasil execute yg sebelumnya.

3. Sebaiknya Trans Type Ref diisi dengan = PY, Doc Type Ref diisi dengan = Payroll Group

4. Saat ini jika selesai execute lalu buka dokumen di GL Posting, belum muncul nominal nya saat tampilan Grid View.
5. After diisi/dilengkapi pada description item nya, baru nominal tampil dalam grid view tsb

Mohon perbaikannya ya

Tks

#5 - 09/28/2021 10:49 AM - Kezia Pawitra Yulianti

Dear Yomma,

berikut tambahan untuk validasi nya ya:

1. Jika dilakukan execute ulang dgn doc status msh draft, maka doc berikutnya bisa generate dgn overwrite doc sebelumnya

2. Jika dilakukan execute ulang dgn doc status msh post, maka doc berikutnya tidak bisa di generate (tidak bisa auto jurnal)

3. User Finance harus merubah doc status jadi cancel terlebih dahulu baru bisa dilakukan execute ulang

4. Message yg muncul saat akan execute ulang (poin 2) adalah "This period has been posted to finance document, if you want to re-execute please
ask Finance User to cancel the finance document before"

5. Jika dilakukan execute ulang dgn doc status sudah cancel, maka doc berikutnya akan di generate kembali

Demikian, thanks
#6 - 09/28/2021 02:11 PM - Tri Rizqiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

Fixing :

1. Perubahan di SP : PDSFILOPOSTTOGLTOFINANCECHECK, DELETEDATAUTOJURNALPROFIT
2. Perubahan di Ul - app - controller - report - custom - rdireport.jd

3. Perubahan di API2 : MinovalS.MinovaES.Business.Filo.dll

4. Perubahan di table PCMEPGENPARAM untuk parameter :

- PYTOFINANCEDESC : Value2 diisi dengan 'PayGroup+Period'

- PYTOFINANCEDOCSTATUS : Value1 diisi dengan '1'

5. Penambahan di table SMESSAGECATALOG : Messageld = HRTOFIN1

#7 - 10/04/2021 10:38 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

Dear Yomma,
tambahan ketentuan jika status sudah cancel dan akan execute ulang maka dokumen jangan di delete yaa...biarkan tetap ada dgn status cancel
Yang boleh di delete hanya status draft

Tks

#8 - 10/04/2021 04:24 PM - Tri Rizqiaty

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

Fixing :

1. Perubahan SP : PDSFILOPOSTTOGLTOFINANCECHECK -- untuk message validasi pernah execute

2. Perubahan SP : PRPTPYPOSTTOGLTOFINANCE -- untuk history data cancel
3. Perubahan di Ul - app - controller - rdIreport.js

#9 - 10/05/2021 09:53 AM - Kezia Pawitra Yulianti
- Status changed from Revise to Deploy

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

done Yoms

Tks
